Page MenuHomePhabricator

Explain possibilities for familysearch.org
Closed, ResolvedPublic2 Story Points

Description

Status:

Next step:

Possibilities

  • quality assure that they have all Swedish church parishes. Last I checked just 800 had a NAD number (unique Archive number from the Swedish National Archives)....
  • add Arkiv Digital as an option [T199907]
  • historical maps ???

Familysearch.org has pages for parishes and have NAD as an paramater in a template so maybe its a rather straight forward process to

  • connect to SVAR
  • connect to SCB maps
  • connect to Open Street map

Contacted: User_talk:Amberannelarsen

This task dependent of T199784: Wikidata cleaning Swedish Church parishes/ Svenska Församlingar

Event Timeline

Salgo60 created this task.Jul 27 2018, 12:53 PM
Salgo60 updated the task description. (Show Details)Jul 27 2018, 12:55 PM
Salgo60 updated the task description. (Show Details)Jul 27 2018, 1:11 PM
Salgo60 updated the task description. (Show Details)Jul 27 2018, 1:20 PM
Salgo60 set the point value for this task to 2.
Salgo60 closed this task as Resolved.

Done

Salgo60 updated the task description. (Show Details)Jul 27 2018, 1:32 PM
Salgo60 updated the task description. (Show Details)Jul 27 2018, 1:48 PM
Salgo60 updated the task description. (Show Details)Sep 5 2018, 8:17 AM

Feedback Family search that they will implement the above solution....

Next step is a fix a better template

Salgo60 updated the task description. (Show Details)Oct 3 2018, 2:29 PM
Salgo60 added a comment.EditedOct 21 2018, 10:14 AM

A test template has been created Template:Sweden-NAD2 and a test page

The logic is https://tools.wmflabs.org/hub/ <Wikidata property> : <argument> ?property= <property to redirect to>

see documentation https://tools.wmflabs.org/hub

Template logic

| label12 = [[Swedish Nationell ArkivDatabas (NAD) Reference Code|NAD Ref Code]]
| data12 = {{{NAD Ref Code|}}}
| label13 = [[Sweden Archives and Libraries#National Archives|National Archive SVAR]]
| data13 = {{#if: {{{NAD Ref Code|}}}| [https://tools.wmflabs.org/hub/P5324:{{{NAD Ref Code}}}?property=P5324 link]|}}
| label14 = Swedish Wikipedia 
| data14 = {{#if: {{{NAD Ref Code|}}}| [https://tools.wmflabs.org/hub/P5324:{{{NAD Ref Code}}}?lang=sv link]|}}
| label15 = SCB Congregation map 
| data15 = {{#if: {{{NAD Ref Code|}}}| [https://tools.wmflabs.org/hub/P5324:{{{NAD Ref Code}}}?property=P778 link]|}}
| label16 = Open Street map 
| data16 = {{#if: {{{NAD Ref Code|}}}| [https://tools.wmflabs.org/hub/P5324:{{{NAD Ref Code}}}?property=P625 link]|}}

a video how to test it see T201404: familysearch.org create a Proof of Concept with a template

Salgo60 added a comment.EditedNov 9 2018, 9:05 AM

Its live in production

Lesson learned:

Salgo60 updated the task description. (Show Details)Nov 9 2018, 9:06 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Nov 19 2018, 4:49 PM
Salgo60 updated the task description. (Show Details)
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptFri, Jun 7, 12:47 PM